Services_OpenStreetMap

# Class: Services_OpenStreetMap_Transport

Source Location: /OpenStreetMap/Transport.php

### Interface Overview

Services_OpenStreetMap_Transport

#### Author(s):

- Ken Guest <kguest@php.net>

### Constants

- GONE
- NOT_FOUND
- OK
- UNAUTHORISED

### Methods

- getObject
- getObjects
- getResponse
- searchObjects

### Class Details

[line 25]
Services_OpenStreetMap_Transport

#### Tags:

author: | Ken Guest <kguest@php.net>
link: | Transport.php
license: | BSD

[ Top ]

### Class Methods

### method getObject [line 63]

`object getObject( string $type, mixed $id, [mixed $version = null])`

getObject

Returns false if the object is not found

#### Tags:

throws: | Services_OpenStreetMap_Exception
access: | public

#### Parameters:

string | $type | object type
mixed | $id | id of object to retrieve
mixed | $version | version of object

[ Top ]

### method getObjects [line 73]

`void getObjects( string $type, array $ids)`

getObjects

#### Tags:

access: | public

#### Parameters:

string | $type | object type
array | $ids | ids of objects to retrieve

[ Top ]

### method getResponse [line 93]

`HTTP_Request2_Response getResponse( string $url, [string $method = HTTP_Request2::METHOD_GET], [string $user = null], [string $password = null], [string $body = null], [array $post_data = null], [array $headers = null])`

Send request to OSM server and return the response.

#### Tags:

todo: | Consider just returning the content?
throws: | Services_OpenStreetMap_Exception If something unexpected has happened while conversing with the server.
access: | public

#### Parameters:

string | $url | URL
string | $method | GET (default)/POST/PUT
string | $user | user (optional for read-only actions)
string | $password | password (optional for read-only actions)
string | $body | body (optional)
array | $post_data | (optional)
array | $headers | (optional)

[ Top ]

### method searchObjects [line 111]

`Services_OpenStreetMap_Objects searchObjects( string $type, array $criteria)`

searchObjects

#### Tags:

access: | public

#### Parameters:

string | $type | object type (e.g. changeset)
array | $criteria | array of criterion objects.

[ Top ]

### Class Constants

#### GONE = 410

[line 47]

Resource no longer available.

#### Tags:

link: |
access: | public

[ Top ]

#### NOT_FOUND = 404

[line 43]

Resource not found.

#### Tags:

link: |
access: | public

[ Top ]

#### OK = 200

[line 35]

Ok

#### Tags:

link: |
access: | public

[ Top ]

#### UNAUTHORISED = 401

[line 39]

Unauthorised, e.g. login credentials wrong.

#### Tags:

link: |
access: | public

[ Top ]

Documentation generated on Wed, 26 Sep 2012 01:24:54 +0100 by phpDocumentor 1.4.4